Main Page | Data Structures | File List | Data Fields | Globals | Related Pages

# cfgfile.h File Reference

config file parsing header file More...

Go to the source code of this file.

## Functions
int | cfg_cfgfile_get_next_opt (const CFG_CONTEXT con)
| Parse next config file option(s) and return its value (if non-zero) or error code.

## Detailed Description

config file parsing header file

Author:
  Ondrej Jombik <nepto@platon.sk>

  Lubomir Host <rajo@platon.sk>

Version:
  $Platon: libcfg+/src/cfgfile.h,v 1.13 2004/01/12 06:03:09 nepto Exp $

Date:
  2001-2004

## Function Documentation

int cfg_cfgfile_get_next_opt | ( | const CFG_CONTEXT | con | ) |

  | Parse next config file option(s) and return its value (if non-zero) or error code. Parameters:
  con | initialized config file context
Returns: next option val, code of error (CFG_ERROR_*) or CFG_OK on end See also: cfg_error cfg_context